# Asterisk Project : Asterisk 12 Configuration_res_pjsip_notify

Added by wikibot , edited by wikibot on Oct 29, 2013

# Module that supports sending NOTIFY requests to endpoints from external sources

This configuration documentation is for functionality provided by `res_pjsip_notify`.

## pjsip_notify.conf

### general

Unused, but reserved.

### notify

Configuration of a NOTIFY request.

#### Configuration Option Reference

Option Name | Type | Default Value | Regular Expression | Description
--- | --- | --- | --- | ---
`.*` | `Custom` |  | `true` | A key/value pair to add to a NOTIFY request.

#### Configuration Option Descriptions

##### .*

If the key is `Content`, it will be treated as part of the message body. Otherwise, it will be added as a header in the NOTIFY request.

The following headers are reserved and cannot be specified:

- `Call-ID`
- `Contact`
- `CSeq`
- `To`
- `From`
- `Record-Route`
- `Route`
- `Via`

### Import Version

This documentation was imported from Asterisk Version SVN-branch-12-r402154